CCmdBoolOption Class Reference
Command line and parameter parsing

The command line option that sets a flag to true when given. More...

`#include <mia/core/cmdbooloption.hh>`

Inheritance diagram for CCmdBoolOption:
[legend]
Collaboration diagram for CCmdBoolOption:
[legend]

## Public Member Functions

| CCmdBoolOption (bool &value, char short_opt, const char *long_opt, const char *long_help, CCmdOptionFlags flags)
Public Member Functions inherited from CCmdOption
void | add_option (CShortoptionMap &sm, CLongoptionMap &lm)
void | add_option_xml (CXMLElement &parent, HandlerHelpMap &handler_map) const
| CCmdOption (char short_opt, const char *long_opt, const char *long_help, const char *short_help, CCmdOptionFlags flags)
void | get_long_help (std::ostream &os) const
std::string | get_long_help_xml (CXMLElement &parent, HandlerHelpMap &handler_map) const
const char * | get_long_option () const
size_t | get_needed_args () const
void | get_opt_help (std::ostream &os) const
char | get_short_option () const
const std::string | get_value_as_string () const
bool | is_required () const
const char * | long_help () const
void | post_set ()
void | print_short_help (std::ostream &os) const
void | set_value (const char *str_value)
void | write_value (std::ostream &os) const
virtual | ~CCmdOption ()
| ensure virtual destruction

## Additional Inherited Members

Protected Member Functions inherited from CCmdOption
void | clear_required ()
| clear the "required" flag
virtual void | do_get_long_help (std::ostream &os) const
bool | has_flag (CCmdOptionFlags test_flags) const
void | xmlhelp_set_attribute (CXMLElement &node, const char *name, const std::string &value) const

## Detailed Description

The command line option that sets a flag to true when given.

This command line option expects no parameter. If given the associated boolen value will be set to true. Therefore, at initialization this boolean value is always forces to be set to false.

Definition at line 38 of file cmdbooloption.hh.

## Constructor & Destructor Documentation

## CCmdBoolOption()

CCmdBoolOption::CCmdBoolOption | ( | bool & | value,
|  | char | short_opt,
|  | const char * | long_opt,
|  | const char * | long_help,
|  | CCmdOptionFlags | flags )

Construct a bool option

Parameters

  [in,out] | value | at input the default value, at output the value read from the command line
  | short_opt | the one letter command line option
  | long_opt | the long command line option
  | long_help | the full help bool that describes the option completely
  | flags | specific flags for the option. Note that passing CCmdOptionFlags::required doesn't make sense.

References CCmdOption::long_help().

The documentation for this class was generated from the following file:

- cmdbooloption.hh